Subject: Re: [PATCH v8 11/11] clk: scmi: Support atomic clock enable/disable API

From: Cristian Marussi <[email-masked]>
Date: Mon, 17 Jan 2022 12:40:30 +0000

On Mon, Jan 17, 2022 at 10:31:00AM +0000, Sudeep Holla wrote:
> On Fri, Jan 14, 2022 at 03:08:37PM -0800, Stephen Boyd wrote:
> > Quoting Cristian Marussi (2021-12-20 11:56:46)
> > > Support also atomic enable/disable clk_ops beside the bare non-atomic one
> > > (prepare/unprepare) when the underlying SCMI transport is configured to
> > > support atomic transactions for synchronous commands.
> > > 

Hi,

> > > Cc: Michael Turquette <[email-masked]>
> > > Cc: Stephen Boyd <[email-masked]>
> > > Cc: [email-masked]
> > > Signed-off-by: Cristian Marussi <[email-masked]>
> > > ---
> > > NOTE THAT STILL THERE'S NO FINE GRAIN CONTROL OVER SELECTION
> > > OF WHICH CLOCK DEVICES CAN SUPPORT ATOMIC AND WHICH SHOULD NOT
> > > BASED ON CLOCK DEVICES ENABLE LATENCY.
> > > THIS HAS STILL TO BE ADDED IN SCMI PROTOCOL SPEC.
> > 
> > Why are you yelling on the internet? :-) I guess I need to ack this.
> >
> 

Sorry I did not mean to yell really, just to warn partners using this.

> It is for the partners who request such changes. We are trying to prototype
> and share the code and ask for feedback before we finalise the specification.
> 
> In fact it is other way around for you 😁. Not to ack as it is not yet final
> 😉. At least I need to wait until the spec contents are finalised before I
> can merge with your ack 😁. But I agree RFC would have indicated that along
> with the above background instead of *yelling*. Cristian assumed everyone
> is aware of the content as quite a few are involved in offline discussions.
> 
> > Acked-by: Stephen Boyd <[email-masked]>
> 
> Thanks anyways, will use it if nothing changes.
> 

As Sudeep said, V8 it is indeed not the final version which is going to
be posted soon after the merge-windows (without yelling :D) and which it
will be indeed still marked as RFC since it does include a new protocol
feature which is still under review and not published.

Sorry for the noise.

Thanks,
Cristian

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel